# Class SkyCoord.SkyVariant

java.lang.Object
uk.ac.starlink.ttools.plot2.data.SkyCoord.SkyVariant

Enclosing class:
  `SkyCoord`

public abstract static class SkyCoord.SkyVariant extends Object
Controls the interpretation of sky vectors, either fixed to the surface of the unit sphere or not.

Since:
  4 Feb 2013
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static SkyCoord.SkyVariant`
`SURFACE`
No radial coordinate, vectors all on unit sphere surface.
`static SkyCoord.SkyVariant`
`VOLUME_OR_NULL`
Has radial coordinate, point considered blank if radius blank .
`static SkyCoord.SkyVariant`
`VOLUME_OR_UNIT`
Has radial coordinate, considered on unit sphere if radius blank.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SURFACE

public static SkyCoord.SkyVariant SURFACE
No radial coordinate, vectors all on unit sphere surface.

### VOLUME_OR_NULL

public static SkyCoord.SkyVariant VOLUME_OR_NULL
Has radial coordinate, point considered blank if radius blank .

### VOLUME_OR_UNIT

public static SkyCoord.SkyVariant VOLUME_OR_UNIT
Has radial coordinate, considered on unit sphere if radius blank.